TcpConnection (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.net.TcpConnection class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net
Class TcpConnection

    java.lang.Object
      org.apache.tomcat.util.net.TcpConnection

    public class TcpConnection

extends java.lang.Object

Constructor Summary
`TcpConnection()`

Method Summary
`PoolTcpEndpoint` | `getEndpoint()`
`java.net.Socket` | `getSocket()`
`static int` | `readLine(java.io.InputStream in, byte[] b, int off, int len)`
`void` | `recycle()`
`void` | `setEndpoint(PoolTcpEndpoint endpoint)`
`static void` | `setMaxShutdownTries(int mst)`
`void` | `setSocket(java.net.Socket socket)`
`static void` | `shutdownInput(java.net.Socket socket)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TcpConnection

    public TcpConnection()

Method Detail

### setMaxShutdownTries

    public static void setMaxShutdownTries(int mst)

### setEndpoint

    public void setEndpoint(PoolTcpEndpoint endpoint)

### getEndpoint

    public PoolTcpEndpoint getEndpoint()

### setSocket

    public void setSocket(java.net.Socket socket)

### getSocket

    public java.net.Socket getSocket()

### recycle

    public void recycle()

### readLine

    public static int readLine(java.io.InputStream in,
                               byte[] b,
                               int off,
                               int len)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### shutdownInput

    public static void shutdownInput(java.net.Socket socket)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.